.\" $NetBSD: lpt.4,v 1.7 2004/02/03 21:37:00 jdolecek Exp $
.\"
.\"
.\" Copyright (c) 1993 Christopher G. Demetriou
.\" Copyright (c) 1994 Geoffrey M. Rehmet
.\" Copyright (c) 1999 Nicolas Souchu
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/lpt.4,v 1.9.2.2 2001/08/17 13:08:38 ru Exp $
.\"
.Dd February 3, 2004
.Dt LPT 4
.Os
.Sh NAME
.Nm lpt
.Nd generic printer device driver
.Sh SYNOPSIS
.Cd "lpt* at ppbus?"
.Cd options LPT_DEBUG
.Cd options LPT_VERBOSE
.Sh DESCRIPTION
The
.Nm
driver is the port of the lpt driver to the
.Xr ppbus 4
system.
.Pp
The purpose of this driver is to allow parallel port sharing with
other parallel devices.
See
.Xr ppbus 4
for more information about the parallel port bus system.
.Pp
The parallel port bus is reserved by
.Nm
when the printer device is opened and released when the device is
closed.
.Pp
Ports can be configured to use interrupts, DMA, IEEE negotiations, and IEEE
compliant transfer modes by using the
.Xr lptctl 8
command, with modes depending on the hardware available.
.Sh FILES
.Bl -tag -width "/dev/lpt0xxxx" -compact
.It Pa /dev/lpt?
parallel port device
.It Pa /dev/lpt?ctl
parallel port control device
.El
.Sh SEE ALSO
.Xr atppc 4 ,
.Xr ppbus 4 ,
.Xr lptctl 8 ,
.Xr mknod 8
.Sh HISTORY
This driver is derived from the
.Fx
ppbus and also from the historic
.Nx
drivers.
.Pp
The
.Nm
driver used to assign special meaning for some bits of device minor.
This was dropped in ppbus-based
.Nm
in favour of configuration via
.Xr lptctl 8 .
.Sh AUTHORS
This manual page was based on the
.Fx
.Nm lpt
manual page.
The information has been updated for the
.Nx
port by Gary Thorpe.
